[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Is there anything I can do to help getting kdebindings updated

On Tuesday 18 October 2005 17:16, David Goodenough wrote:
> On Monday 17 October 2005 12:12, David Goodenough wrote:
> > Almost all of KDE has now completed the transition through the ABI change
> > and to 3.4.2, but the kdebindings have not made it yet.  There is a bug
> > raised for the transition, but it is 34 days old.
> >
> > I am not a DD, but I have done some work with the java bindings before,
> > and if there is anything I can do to help I would be happy to do so,
> > although my other language skills are limited.
> >
> > David
> Well I have downloaded the TAR from kde.org, and surprise surprise it
> compiles quite cleanly.  I am not sure I should do next.  Do I simply copy
> across the Debian directory from the last version?  Then what?
> David
I tried building it with dpkg-buildpackage and it complained about a few 
missing Build-Depends.  All of them installed except for one, libgcj4-dev
which is no longer in unstable, its libgcj6-dev instead.

Then it wanted a /usr/bin/javah, which required me to install 

Now it complains about jni.h, and that should be installed by
java-gcj-compat-dev, but its obviously in the wrong place 
as dpkg-buildpackage can not find it.


Reply to: